<!DOCTYPE html>
<html lang="en" 
	xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Tazkia HR Application</title>
    <!-- plugins:css -->
    <link rel="stylesheet" type="text/css" th:href="@{assets/vendors/mdi/css/materialdesignicons.min.css}">
    <link rel="stylesheet" type="text/css" th:href="@{assets/vendors/flag-icon-css/css/flag-icon.min.css}">
    <link rel="stylesheet" type="text/css" th:href="@{assets/vendors/css/vendor.bundle.base.css}">
    <!-- endinject -->
    <!-- Plugin css for this page -->
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <!-- endinject -->
    <!-- Layout styles -->
    <link rel="stylesheet" type="text/css" th:href="@{assets/css/demo_3/style.css}">
    <!-- End layout styles -->
    <link rel="shortcut icon" th:href="@{assets/images/favicon.png}" />
    
    <!-- <div th:replace="fragments/header :: header-css"></div> -->
  </head>
  <body onload="oauthSignIn()">
    <div class="container-scroller">
      <div class="container-fluid page-body-wrapper full-page-wrapper">
        <div class="content-wrapper d-flex align-items-center auth">
          <div class="row flex-grow">
            <div class="col-lg-4 mx-auto">
              <div class="auth-form-light text-left p-5">
                <div class="brand-logo">
                  <img src="">
                </div>
                <h4>Tazkia HR Application</h4>
                <h6 class="font-weight-light">Sign in to continue.</h6>
                <form class="pt-3">
                  <div class="form-group" th:if="${param.error}">
                  	<label class="error text-danger" th:text="${session['SPRING_SECURITY_LAST_EXCEPTION'].message}"></label>
                  </div>
                  <div class="form-group">
                    <input type="email" class="form-control form-control-lg" id="username" name="username" placeholder="Username">
                  </div>
                  <div class="form-group">
                    <input type="password" class="form-control form-control-lg" id="password" name="password" placeholder="Password">
                  </div>
                  <div class="form-group">
                  	<button type="submit" class="btn btn-primary btn-sm col-sm-4">SIGN IN</button>
                  </div>
                  <div class="my-2 d-flex justify-content-between align-items-center">
                    <div class="form-check">
                      <label class="form-check-label text-muted">
                        <input type="checkbox" class="form-check-input"> Keep me signed in </label>
                    </div>
                    <a th:href="@{/reset-password}" class="auth-link text-black">Forgot password?</a>
                  </div>
                  <div class="mb-2">
                   	<button type="submit" class="btn btn-block g-login">
               			<img class="mr-3" th:src="@{/assets/images/icon-google.svg}" height="20"></img>Log in with Google 
                   	</button>
                  </div>
                  <div class="text-center mt-4 font-weight-light"> Don't have an account? 
                  	<a href="register.html" class="text-primary">Create</a>
                  </div>
                  
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- content-wrapper ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
    <!-- plugins:js -->
    <script src="../../../assets/vendors/js/vendor.bundle.base.js"></script>
    <!-- endinject -->
    <!-- Plugin js for this page -->
    <!-- End plugin js for this page -->
    <!-- inject:js -->
    <script src="../../../assets/js/off-canvas.js"></script>
    <script src="../../../assets/js/hoverable-collapse.js"></script>
    <script src="../../../assets/js/misc.js"></script>
    <script src="../../../assets/js/settings.js"></script>
    <script src="../../../assets/js/todolist.js"></script>
    <!-- endinject -->
    <script>
	    function oauthSignIn() {
		  var oauth2Endpoint = 'https://accounts.google.com/o/oauth2/v2/auth';
		  var form = document.createElement('form');
		  form.setAttribute('method', 'GET');
		  form.setAttribute('action', oauth2Endpoint);
		
		  // Parameters to pass to OAuth 2.0 endpoint.
		  var params = {'client_id': '377395320750-k3itm9dlui1trmerc262mrraf94266ea.apps.googleusercontent.com',
		                'redirect_uri': 'http://localhost:8080/login/oauth2/code/google',
		                'response_type': 'token',
		                'scope': 'https://www.googleapis.com/auth/drive.metadata.readonly',
		                'include_granted_scopes': 'true',
		                'state': 'pass-through value'};
		
		  // Add form parameters as hidden input values.
		  for (var p in params) {
		    var input = document.createElement('input');
		    input.setAttribute('type', 'hidden');
		    input.setAttribute('name', p);
		    input.setAttribute('value', params[p]);
		    form.appendChild(input);
		  }
		
		  // Add form to page and submit it to open the OAuth 2.0 endpoint.
		  document.body.appendChild(form);
		  form.submit();
		}
    </script>
  </body>
</html>